> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve all projects

> Retrieves a list of all projects that the client scope has access to.



## OpenAPI

````yaml /openapi/platform/projects.yaml GET /v1/projects
openapi: 3.1.0
info:
  title: Projects and Tasks API
  version: '1.0'
  description: "“Projects and Tasks” is a project management tool that helps you take real action with simple planning, assigning, and task-tracking features. You can create projects with various tasks and assignments. Those tasks exist within swim lanes or lists, and can be moved from list to list to show progress through a particular workflow. You can use default lists or create new custom lists. You can also add attachments to individual tasks to reference relevant materials and other artifacts.\n\n<!-- theme: info -->\n> ### Note\n>\n>You will need to ensure that your client application has access to the Workflow scope in order to access the Projects and Tasks endpoints.\n\n## The project object\n### Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\nname | String | The name of the project\nid | String | The ID of the project\nmembers | Long | The ID's of the members of the project\ncreatedBy | Long | The ID of the user who created the project\ncreatedDate | Date | Date the project was created\npublic | Boolean | whether or not the project is a public project\ndescription | String | Description of the project\ndueDate | Date | Due date of the project\n\n## The list object\n### Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n| name\t| String | The name of the List.|\n| id | String\t| The ID of the List.|\n| type | String\t| The type of List (i.e. `TODO`, `WORKING_ON`, `COMPLETED`).|\n| index\t| Long | The ordered index of the list within the project.|\n\n## The task object\n### Attributes\n| Property Name | Type | Description |\n| --- | --- | --- |\n|id | String | The ID of the task.|\n|projectId | String | The ID of the project that the task belongs to.|\n|projectListId\t| tring\t| The ID of the list within a project that the task belongs to.|\n|taskName | String | The name of the task.|\n|description | String\t| An optional description of the task.|\n|createdDate | ate | The date the task was created.|\n|dueDate | Date | The date the task is expected to be completed.|\n|priority | Long | The prioritized order of the task in a list.|\n|createdBy | Long | The ID of the Domo user that created the task.|\n|ownedBy | Long | The ID of the Domo user that owns the task.|\n|contributors | Long | An array of user IDs that are assigned as contributors to the task.|\n|attachmentCount | Long\t| The number of attachments that task has.|\n|tags | String\t| An array of tags that have been assigned to the task.|\n|archived | Boolean | Whether or not the task has been archived.|"
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/projects:
    parameters: []
    get:
      tags: []
      summary: Retrieve all projects
      description: Retrieves a list of all projects that the client scope has access to.
      operationId: retrieve-all-projects
      responses:
        '200':
          description: Returns an array of project objects.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    members:
                      type: array
                      items:
                        type: integer
                    createdBy:
                      type: integer
                    createdDate:
                      type: string
                    public:
                      type: boolean
                x-examples:
                  Example 1:
                    - id: '3'
                      name: Agile Project
                      members:
                        - 27
                        - 35
                        - 102
                      createdBy: 27
                      createdDate: '2018-08-01T01:00:00Z'
                      public: false
                    - id: '2'
                      name: Final Deliverable Progress
                      members:
                        - 1
                        - 27
                        - 150
                      createdBy: 1
                      createdDate: '2018-08-01T04:00:00Z'
                      public: true
              examples:
                Example 1:
                  value:
                    - id: '3'
                      name: Agile Project
                      members:
                        - 27
                        - 35
                        - 102
                      createdBy: 27
                      createdDate: '2018-08-01T01:00:00Z'
                      public: false
                    - id: '2'
                      name: Final Deliverable Progress
                      members:
                        - 1
                        - 27
                        - 150
                      createdBy: 1
                      createdDate: '2018-08-01T04:00:00Z'
                      public: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````